output "cluster_endpoint" {
  description = "Endpoint for EKS control plane."
  value       = module.eks.cluster_endpoint
}

output "cluster_security_group_id" {
  description = "Security group ids attached to the cluster control plane."
  value       = module.eks.cluster_security_group_id
}

output "cluster_id" {
  description = "The id of the EKS cluster created"
  value = module.eks.cluster_id
}

output "kubectl_config" {
  description = "kubectl config as generated by the module."
  value       = module.eks.kubeconfig
}

output "config_map_aws_auth" {
  description = "A kubernetes configuration to authenticate to this EKS cluster."
  value       = module.eks.config_map_aws_auth
}

output "eks_vpc_id" {
  description = "The id of the VPC created for the EKS cluster"
  value = module.vpc.vpc_id
}

output "eks_oidc_issuer" {
  # Basically this is the output of this command
  #   aws --region us-west-2 eks describe-cluster --name your-cluster --query cluster.identity.oidc.issuer 
  description = "Issuer endpoint provided by EKS"
  value = data.aws_eks_cluster.cluster.identity.0.oidc.0.issuer
}
