output "rds_vpc_cidr_block" {
  value = data.aws_vpc.rds_vpc.cidr_block
}

output "cluster_endpoint" {
  description = "Endpoint for EKS control plane."
  value       = module.flyte_eks.cluster_endpoint
}

output "cluster_security_group_id" {
  description = "Security group ids attached to the cluster control plane."
  value       = module.flyte_eks.cluster_security_group_id
}

output "kubectl_config" {
  description = "kubectl config as generated by the module."
  value       = module.flyte_eks.kubectl_config
}

output "config_map_aws_auth" {
  description = "A kubernetes configuration to authenticate to this EKS cluster."
  value       = module.flyte_eks.config_map_aws_auth
}

output "eks_vpc_id" {
  description = "The id of the VPC created for the EKS cluster"
  value = module.flyte_eks.eks_vpc_id
}

output "admin_rds_name" {
  value = module.flyte_rds.admin_rds_name
}

output "admin_rds_instance_id" {
  value = module.flyte_rds.admin_rds_instance_id
}

output "eks_cluster_oidc_connection_arn" {
  value = aws_iam_openid_connect_provider.eks_oidc_connection.arn
}

output "eks_cluster_oidc" {
  value = module.flyte_eks.eks_oidc_issuer
}

output "role_arn" {
  value = aws_iam_role.flyte_operator.arn
}

